<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('payroll_summaries', function (Blueprint $table) {
            $table->decimal('pagibig_contribution_employer', $precision=12, $scale=2)->default(0)->after('pagibig_contribution');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('payroll_summaries', function (Blueprint $table) {
            $table->dropColumn('pagibig_contribution_employer');
        });
    }
};
